apply plugin: 'com.android.application'

android {
    compileSdkVersion 33
    buildToolsVersion "33.0.2"

    defaultConfig {
        applicationId "net.micode.notes"
        minSdkVersion 33
        //noinspection ExpiredTargetSdkVersion
        targetSdkVersion 33
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.txt'
        }

    }

    dependencies {
        implementation group: 'org.apache.httpcomponents.client5', name: 'httpclient5', version: '5.2.1'
        implementation group: 'androidx.appcompat', name: 'appcompat', version: '1.6.0'
        implementation 'com.google.android.material:material:1.7.0'
        implementation 'androidx.constraintlayout:constraintlayout:2.1.4'
        implementation 'com.android.support:support-annotations:28.0.0'
        testImplementation 'junit:junit:4.13.2'
        androidTestImplementation 'androidx.test.ext:junit:1.1.5'
        androidTestImplementation 'androidx.test.espresso:espresso-core:3.5.0'
    }

    packagingOptions {
        exclude 'META-INF/*'
    }
}

